<script lang="ts">
	import type { RoomType } from '$lib/types';

	export let roomType: RoomType = 'STANDARD';

	let url: string = '';

	$: switch (roomType) {
		case 0:
			url = 'standard.jpg';
			break;
		case 1:
			url = 'superior.jpg';
			break;
		case 2:
			url = 'suite.jpg';
			break;
		default:
			url = 'standard.jpg';
			break;
	}
</script>

<img src={url} alt="room" class="w-full h-full object-cover rounded-t-xl" />
